Tasks = LibStub("AceAddon-3.0"):NewAddon("Tasks", "AceConsole-3.0", "AceEvent-3.0")
Tasks.L = LibStub("AceLocale-3.0"):GetLocale("Tasks", false)
TasksUtils = {}


function Tasks:OnInitialize()
  Tasks.db = LibStub("AceDB-3.0"):New("TasksDB", self.defaults["db"], true)
  self:RegisterChatCommand("tasks", "ChatCommandReceived")
  self:RegisterEvent("ENCOUNTER_START")
  self:RegisterEvent("ENCOUNTER_END")
  self:RegisterEvent("PLAYER_LEVEL_UP")
  Tasks:ConfigInit()
  Tasks:UtilsInit()
  Tasks:TemplatesInit()
  Tasks:Init()
  
  --retrieve and store character info
  local char = UnitName("player") .. " - " .. GetRealmName()
  -- local char =  GetUnitName("player", true")
  Tasks.currentCharacter = char
  print(char)
  if not Tasks.db.global.characters[char].name then
  print("setting")
    Tasks.db.global.characters[char].name = UnitName("player")
    Tasks.db.global.characters[char].realm = GetRealmName()
    Tasks.db.global.characters[char].class = select(2,UnitClass("player"))
    Tasks.db.global.characters[char].level = UnitLevel("player")
    Tasks.db.global.characters[char].race = select(2, UnitRace("player"))
    Tasks.db.global.characters[char].faction = UnitFactionGroup("player")
   end
end

function Tasks:OnEnable()
end

function Tasks:OnDisable()

end

function Tasks:PLAYER_LEVEL_UP(eventName, newLevel)
  Tasks.db.global.characters[Tasks.currentCharacter].level = newLevel
end