local Tasks = Tasks
local L = Tasks.L
local TasksUtils = TasksUtils
local db

function Tasks:TemplatesInit()
  db = Tasks.db
end

Tasks.constants = {}
Tasks.constants.DAILY_RESET = 1
Tasks.constants.WEEKLY_RESET = 2
Tasks.constants.NEVER_RESET = 3
Tasks.constants.SUNDAY = 1
Tasks.constants.MONDAY = 2
Tasks.constants.TUESDAY = 3
Tasks.constants.WEDNESDAY = 4
Tasks.constants.THURSDAY = 5
Tasks.constants.FRIDAY = 6
Tasks.constants.SATURDAY = 7

Tasks.defaults = {}

Tasks.defaults["db"] = {
  global = {
    dbVersion = 1,  
    weeklyResetDay = Tasks.constants.TUESDAY,
    addonEnabled = true,
    id = 0,
    editList = nil,
    editTask = nil,
    lists = {
      ['**'] = {
        resetFrequency = Tasks.constants.DAILY_RESET,
        taskCount = 0,
        tasks = {
          ["**"] = {
            completed = false,
            completedDate = nil
          },
        },
      },
    },
    characters = {
      ["**"] = {
        disabled = false,
      },
    },
    encounters = {},
  },
}

function Tasks:NextId()
  db.global.id = db.global.id + 1
  return db.global.id - 1
end